function repcallX(url, callback) {
	mui.ajax(baseUrl + url, {
		type: 'GET',
		dataType: 'json',
		timeout: 10000,
		success: callback,
		hearders:{
			'Content-Type': 'application/json',
		},
		error: function() {
//			mui.alert("网络请求失败，请重试！", '提示', function() {})
			return
		}
	})
}

function repcallPostX(url, data, callback) {
	mui.ajax(baseUrl + url, {
		type: 'POST',
		data,
		headers: {
			"Content-Type": "application/json"
		},
		dataType: 'json',
		timeout: 10000,
		success: callback,
		error: function() {
//			mui.alert("网络请求失败，请重试！", '提示', function() {})
			return
		}
	})
}
//首页的商品数据加载
function indxGoods(data,callback){
	repcallPostX('commodity/list',data,callback);
}
//商品详情页
function goodDetailX(data,callback){
	repcallX('commodity/detail/'+data,callback)
}
//商城商品一级分类信息
function classInfoX(data,callback){
	repcallX('goodType/typeAll',callback)
}
//二级分类信息
function twoMneuX(data,callback){
	repcallX('goodType/typeAllById/'+data,callback)
}

//搜索商品页面
function searchGoodX(data,callback){
	repcallPostX('commodity/list',data,callback)
}
